Bug 16588 - Grid spec should describe shrink-to-fit behavior of Grid element
Grid spec should describe shrink-to-fit behavior of Grid element
Status: RESOLVED FIXED
Product: CSS
Classification: Unclassified
Component: Grid Layout
unspecified
All All
: P2 normal
: ---
Assigned To: Phil Cupp
public-css-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 19:40 UTC by cjon
Modified: 2012-04-26 20:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cjon 2012-03-30 19:40:08 UTC
The Grid spec should define the min-content and max-content widths of a grid element, if the grid element is shrink-to-fit. 

One possibility would be for min-content to be the sum of the used breadths of the column tracks just before step 3 in ComputeUsedBreadthOfGridTracks, while max-content would be the sum of the used breaths of the grid tracks after the entire track sizing algorithm has been run with infinite space.
Comment 1 cjon 2012-04-23 17:25:17 UTC
Solution proposed on www-style for this issue here: http://lists.w3.org/Archives/Public/www-style/2012Mar/0717.html
Comment 2 cjon 2012-04-26 20:35:53 UTC
Fixed in Section 11 of the April 20, 2012 Editor's Draft: http://dev.w3.org/csswg/css3-grid-layout/